Bug 55337 - rsync server does NOT work with clients which don't have DNS entries
rsync server does NOT work with clients which don't have DNS entries
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: rsync (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-29 16:48 EST by john.l.villalovos
Modified: 2014-03-16 22:24 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-08 21:58:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Replacement patch file for the one currently in the SRPM (34.05 KB, patch)
2001-11-08 21:54 EST, john.l.villalovos
no flags Details | Diff

  None (edit)
Description john.l.villalovos 2001-10-29 16:48:42 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:0.9.5)
Gecko/20011011

Description of problem:
rsync server in Red Hat 7.2 does NOT work with clients which don't have DNS
entriy for their IP address.  When the client attempts to connect and
download data nothing happens.  Looking in the log files on the server I
see the message:

rsync: reverse name lookup failed
rsync: forward name lookup failed

When I do an rsync servername::
I can see the list of rsync modules available from the server on both of
the client machines with and without DNS entries.

When I do an rsync servername::module
The client without a DNS entry shows nothing.
The client with a DNS entry gets a directory listing.

All clients and servers are running Red Hat 7.2



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Have a client without a DNS entry for its IP address
2. Setup a server that runs the rsync daemon
3. Attempt to do an rsync operation from the client to the server.
	

Actual Results:  No transfer takes place.

Expected Results:  A transfer would happen

Additional info:
Comment 1 john.l.villalovos 2001-11-08 21:54:04 EST
Created attachment 36961 [details]
Replacement patch file for the one currently in the SRPM
Comment 2 john.l.villalovos 2001-11-08 21:57:55 EST
The patch file I just submitted fixes the problem.  The patch file is a 
replacement for the rsync-2.4.6-ipv6.patch file that is currently in the SRPM.

This fix makes it so that if it is going to check the list of ip addresses 
returned by getaddrinfo make sure that getaddrinfo worked.
Comment 3 Bill Nottingham 2002-01-24 11:08:50 EST
Will be in 2.4.6-7, thanks!

Note You need to log in before you can comment on or make changes to this bug.